Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.param
Class SessionParam

    java.lang.Object
      com.tonbeller.wcf.param.SessionParam

All Implemented Interfaces:
  java.lang.Cloneable

public class SessionParam
extends java.lang.Object
implements java.lang.Cloneable

Since:
  31.01.2005
Author:
  av

Constructor Summary
`SessionParam()`

Method Summary
`java.lang.Object` | `clone()`
`java.lang.String` | `getDisplayName()` returns the name of the parameter for display to the user.
`java.lang.String` | `getDisplayValue()` returns the parameter value for display to the user For example "Andreas Voss"
`java.lang.String` | `getMdxValue()` returns the value returned by the expression parser.
`java.lang.String` | `getName()` returns the name that identifies this parameter within the `SessionParamPool`.
`SqlExpr` | `getSqlExpr()`
`java.lang.Object` | `getSqlValue()` shorthand for getting/setting the sqlValue of a SqlEqualExpr
`java.lang.String` | `getTextValue()` returns a text value as entered in the jsp
`void` | `setDisplayName(java.lang.String displayName)` sets the name of the parameter for display to the user For example "Customer"
`void` | `setDisplayValue(java.lang.String displayValue)` sets the parameter value for display to the user For example "Andreas Voss"
`void` | `setMdxValue(java.lang.String mdxValue)` sets the value returned by the expression parser.
`void` | `setName(java.lang.String name)` sets the name that identifies this parameter within the `SessionParamPool`.
`void` | `setSqlExpr(SqlExpr sqlExpr)`
`void` | `setSqlValue(java.lang.Object sqlValue)` shorthand for getting/setting the sqlValue of a SqlEqualExpr
`void` | `setTextValue(java.lang.String textValue)` sets a text value as enterd in the jsp

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionParam

    public SessionParam()

Method Detail

### getTextValue

    public java.lang.String getTextValue()

  returns a text value as entered in the jsp

### setTextValue

    public void setTextValue(java.lang.String textValue)

  sets a text value as enterd in the jsp

### getMdxValue

    public java.lang.String getMdxValue()

  returns the value returned by the expression parser. For example the unique name like "[Customers].[Name].[Andreas Voss]"

  See Also:
    `com.tonbeller.jpivot.olap.navi.ExpressionParser`

### setMdxValue

    public void setMdxValue(java.lang.String mdxValue)

  sets the value returned by the expression parser. For example the unique name like "[Customers].[Name].[Customer 287]"

  See Also:
    `com.tonbeller.jpivot.olap.navi.ExpressionParser`

### getSqlExpr

    public SqlExpr getSqlExpr()

### setSqlExpr

    public void setSqlExpr(SqlExpr sqlExpr)

### getSqlValue

    public java.lang.Object getSqlValue()

  shorthand for getting/setting the sqlValue of a SqlEqualExpr

### setSqlValue

    public void setSqlValue(java.lang.Object sqlValue)

  shorthand for getting/setting the sqlValue of a SqlEqualExpr

### getDisplayName

    public java.lang.String getDisplayName()

  returns the name of the parameter for display to the user. For example "Customer"

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  sets the name of the parameter for display to the user For example "Customer"

### getDisplayValue

    public java.lang.String getDisplayValue()

  returns the parameter value for display to the user For example "Andreas Voss"

### setDisplayValue

    public void setDisplayValue(java.lang.String displayValue)

  sets the parameter value for display to the user For example "Andreas Voss"

### getName

    public java.lang.String getName()

  returns the name that identifies this parameter within the `SessionParamPool`. For example, the customer ID.

### setName

    public void setName(java.lang.String name)

  sets the name that identifies this parameter within the `SessionParamPool`. For example, the customer ID.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Throws:
    `java.lang.CloneNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD